org.eclipse.net4j.util.ui.actions

## Class SashLayoutAction.LayoutMenu

- java.lang.Object
- - org.eclipse.jface.action.ContributionManager
  - - org.eclipse.jface.action.MenuManager
    - - org.eclipse.net4j.util.ui.actions.SashLayoutAction.LayoutMenu

- All Implemented Interfaces:
    IContributionItem, IContributionManager, IMenuManager
  Enclosing class:
    SashLayoutAction

      public static class SashLayoutAction.LayoutMenu
      extends MenuManager

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.action.MenuManager

      `MANAGER_KEY, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutMenu(SashComposite sashComposite)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SafeAction` | `getHorizontalAction()`
    `SafeAction` | `getVerticalAction()`

    - ### Methods inherited from class org.eclipse.jface.action.MenuManager

      `addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, doItemFill, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuItem, getMenuItemCount, getMenuItems, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, menuExist, removeMenuListener, saveWidgetState, setActionDefinitionId, setImageDescriptor, setMenuText, setOverrides, setParent, setRemoveAllWhenShown, setVisible, toString, update, update, update, update, updateAll`

    - ### Methods inherited from class org.eclipse.jface.action.ContributionManager

      `add, add, allowItem, appendToGroup, appendToGroup, dumpStatistics, find, getItems, getSize, hasDynamicItems, indexOf, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, internalSetItems, isDirty, isEmpty, itemAdded, itemRemoved, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem, setDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.action.IContributionManager

      `add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

    - ### Methods inherited from interface org.eclipse.jface.action.IContributionItem

      `isDirty`

- - ### Constructor Detail

    - #### LayoutMenu

          public LayoutMenu(SashComposite sashComposite)

  - ### Method Detail

    - #### getVerticalAction

          public SafeAction getVerticalAction()

    - #### getHorizontalAction

          public SafeAction getHorizontalAction()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html